Bug 177369 - [patch] ftp/curl update to 7.29.0
[patch] ftp/curl update to 7.29.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 11:40 UTC by umq
Modified: 2013-07-13 18:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (23.44 KB, patch)
2013-03-25 11:40 UTC, umq
no flags Details | Diff
ftp_curl-7.29.0_177369-1.patch (22.72 KB, patch)
2013-03-26 20:19 UTC, umq
no flags Details | Diff
ftp_curl-7.29.0_177369-2.patch (22.73 KB, patch)
2013-04-11 16:16 UTC, umq
no flags Details | Diff
curl-7.30.patch (22.78 KB, patch)
2013-05-08 05:30 UTC, mi+thun
no flags Details | Diff
ftp_curl-7.30.0_177369-4.patch (39.26 KB, patch)
2013-05-14 19:33 UTC, umq
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description umq 2013-03-25 11:40:00 UTC
	The new version of ftp/curl 7.29.0 is now available
	(as talked in freebsd-ports@)

	This patch is intended to supersede ports/148094,
	ports/166870, ports/169812, and ports/172325.


	1. the configure script recently introduced a sanity check on
	   CFLAGS and CPPFLAGS
	    [1] https://github.com/bagder/curl/commit/c691037517a969891592e9dbae0a6ed615041881
	    [2] https://github.com/bagder/curl/commit/9d1effad0524bcb4763e06659b728ba134464608
	   This cause `make configure` stop:
configure: using CFLAGS: -O2 -pipe -DLDAP_DEPRECATED -fno-strict-aliasing
configure: CFLAGS error: CFLAGS may only be used to specify C compiler flags, not macro definitions. Use CPPFLAGS for: -DLDAP_DEPRECATED
configure: error: Can not continue. Fix errors mentioned immediately above this line.
===>  Script "configure" failed unexpectedly.

	   `sed -e 's/CFLAGS/CPPFLAGS/' Mk/bsd.ldap.mk` worked for me,
	   so I'd like to request portmgr@ to approve it.


	2. this patch shouldn't break slave port ftp/curl-hiphop, but
	   I'm not sure.

	   The build instruction on github says:
		> Note: If you're building a version of cURL older
		> than 7.28.0 (for whatever reason), you'll need to
		> apply the patch in src/third_party to update it
		> prior to the make step.
	    [3] https://github.com/facebook/hiphop-php/wiki/Building-and-installing-HHVM-on-Ubuntu-12.10
	    [4] https://github.com/facebook/hiphop-php/wiki/Building-and-installing-HHVM-on-CentOS-6.3

	   It is 7.29.0, the MAINTAINER might want to drop extra patch.


	3. dependent ports.
	   following (113) ports have LIB_DEPENDS with SHLIB_VER
	   specified need to be updated:
	    archivers/epkg
	    audio/gbemol
	    audio/gogglesmm
	    audio/grip
	    audio/moc
	    audio/mpdas
	    audio/mpdscribble
	    audio/musicpd
	    audio/ncmpcpp
	    audio/scmpc
	    audio/scrobbler
	    audio/vagalume
	    audio/vorbis-tools
	    audio/xmms2-scrobbler
	    biology/iolib
	    deskutils/cairo-dock
	    deskutils/fbreader
	    deskutils/google-gadgets
	    deskutils/ljit
	    deskutils/logjam
	    deskutils/mdh
	    deskutils/pinot
	    devel/aegis
	    devel/libopkele
	    devel/libwfut
	    devel/mm-common
	    devel/xmltooling
	    editors/libreoffice
	    editors/morla
	    editors/openoffice-3
	    editors/openoffice-devel
	    editors/textroom
	    emulators/virtualbox-ose
	    emulators/virtualbox-ose-legacy
	    finance/libofx
	    ftp/ocaml-ocurl
	    ftp/py-curl
	    ftp/rexx-curl
	    ftp/urlgfe
	    ftp/wmget
	    games/alienarena
	    games/crossfire-server
	    games/daimonin
	    games/deng
	    games/evq3
	    games/f1spirit-remake
	    games/ioquake3
	    games/kartofel
	    games/kuklomenos
	    games/meandmyshadow
	    games/mudmagic
	    games/nexuiz
	    games/openlierox
	    games/springlobby
	    games/supertux-devel
	    games/tmw
	    games/xmoto
	    games/xonotic
	    graphics/feh
	    graphics/gimmage
	    graphics/jp2a
	    graphics/osg
	    graphics/osg-devel
	    irc/unreal
	    japanese/mozc-server
	    lang/gambas
	    lang/hiphop-php
	    lang/q
	    misc/gkrellm-helium
	    multimedia/cclive
	    net-im/centericq
	    net-im/centerim
	    net-im/centerim-devel
	    net-im/cli-msn
	    net-p2p/gtorrentviewer
	    net-p2p/libbt
	    net-p2p/rtorrent
	    net-p2p/transmission-cli
	    net/asterisk
	    net/asterisk10
	    net/asterisk11
	    net/asterisk14
	    net/clamz
	    net/linknx
	    net/mediatomb
	    net/nepenthes
	    net/pecl-oauth
	    net/wmlj
	    polish/sms2
	    print/foomatic-db
	    science/netcdf4
	    security/opensaml2
	    security/osslsigncode
	    security/razorback-api
	    sysutils/apt
	    sysutils/fusefs-curlftpfs
	    sysutils/heartbeat
	    textproc/libnxml
	    textproc/raptor
	    textproc/rss2html
	    www/castget
	    www/mod_auth_mellon
	    www/mod_flickr
	    www/netsurf
	    www/newsbeuter
	    www/nspluginwrapper
	    www/openvrml
	    www/p5-WWW-Curl
	    www/pecl-http
	    www/rubygem-passenger
	    www/thundercache
	    www/thundersnarf
	    x11-wm/ede

	   following (49) ports have either LIB_DEPENDS or
	   BUILD_DEPENDS might need revesion bump:
	    astro/viking
	    audio/amarok-kde4
	    audio/ario
	    audio/libofa
	    audio/osd-lyrics
	    audio/streamtranscoder
	    chinese/fcitx-cloudpinyin
	    comms/gpredict
	    databases/couchdb
	    deskutils/google-gadgets
	    devel/git
	    ftp/R-cran-RCurl
	    games/0ad
	    games/klavaro
	    games/pokerth
	    games/supertuxkart
	    games/ufoai
	    games/warmux
	    graphics/darktable
	    graphics/gnash
	    graphics/mapserver
	    mail/claws-mail
	    mail/dovecot2
	    mail/milter-greylist
	    mail/milter-greylist-devel
	    math/octave
	    multimedia/freetuxtv
	    multimedia/gnome-mplayer
	    multimedia/mkvtoolnix
	    multimedia/xbmc
	    multimedia/xbmc-pvr
	    net-p2p/gnunet
	    net-p2p/jigdo
	    net/pecl-oauth
	    print/foomatic-db-engine
	    science/libkml
	    security/ykclient
	    sysutils/abgx360
	    sysutils/afflib
	    sysutils/condor
	    textproc/libkolabxml
	    textproc/liblrdf
	    textproc/zorba
	    www/cplanet
	    www/gecko-mediaplayer
	    www/mod_spdy
	    www/thundercache
	    www/webkit-gtk2
	    www/webkit-gtk3


	4. Options
	   I've tested several combinations of option, and they looks
	   okay.

	   --with-gssapi failed on some environments (where
	   security/krb5 is present), --with-gssapi-includes and
	   --with-gssapi-libs lead it work

	   Check for SSL (found in ports/172325) just didn't work

Fix: The patch follows:
	  - renaming ftp/curl/files/patch-lib::url.c (as in ports/172325)
	    would be better, kept old name as is to make patch simple
	  - Mk/bsd.ldap.mk needs modification, as mentioned above
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2013-03-25 11:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 umq 2013-03-26 20:19:00 UTC
Hi,

I attach an updated patch:
 - respect r315271 change
 - add check for security/nss, security/polarssl, and security/yassl
   rather than let them auto-detected

Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 3 umq 2013-03-27 00:53:50 UTC
I've submitted a PR ports/177401 split from part 1 of the original post.

Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 4 umq 2013-04-11 16:16:44 UTC
Hi,

My previous patch had a malformed conditional.
And the option TLS_SRP is currently on (because of auto detection).

Here's an updated patch.

Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 5 mi+thun 2013-05-08 05:30:38 UTC
Meanwhile, curl got updated to 7.30.0 upstream. I'm attaching the
updated patch -- it is almost the same as Hirohisa's, except I also
remove the mangling of runtest.pl in post-patch -- the valgrind.pm is
really required...

Sunpoet, please, speak on the matter, or I'll have to claim "maintainer
timeout" as soon as Hirohisa confirms, the update works for him. Thank you!

    -mi
Comment 6 umq 2013-05-12 12:14:52 UTC
At Wed, 08 May 2013 00:30:38 -0400,
Mikhail T. wrote:
> Meanwhile, curl got updated to 7.30.0 upstream. I'm attaching the
> updated patch -- it is almost the same as Hirohisa's, except I also
> remove the mangling of runtest.pl in post-patch -- the valgrind.pm is
> really required...

> Sunpoet, please, speak on the matter, or I'll have to claim "maintainer
> timeout" as soon as Hirohisa confirms, the update works for him. Thank you!

The patch for 7.30.0 looks okay for me.


Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 7 umq 2013-05-14 19:33:51 UTC
Hi,

I've merged changes from the maintainer's patch (dated 2013-05-08
15:16:08)[0].

There is a missing file in the tarball[1], which makes python
dependency not necessary. I've added the file.

I do not see what is the blocker, I would like to know.


 [0] http://people.freebsd.org/~sunpoet/curl-7.30.0.patch
 [1] http://comments.gmane.org/gmane.comp.web.curl.cvs/15934

Regards,
-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 8 chaika 2013-06-30 15:09:42 UTC
Hi,

i want to build git, depended curl, but security issue for curl 7.24.0 
cause to fail building curl.
this problem already reported by 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180058 and 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180072.
i tried to build curl7.31.0 applied *ftp_curl-7.30.0_177369-4.patch 
<http://www.freebsd.org/cgi/query-pr.cgi?pr=ports%2F177369&getpatch=5>, 
*and i had only chage "PORTVERSION=7.31.0" in Makefile, i can get curl.

Why *ftp_curl-7.30.0_177369-4.patch 
<http://www.freebsd.org/cgi/query-pr.cgi?pr=ports%2F177369&getpatch=5> 
is not commited?
we need curl 7.31.0 ASAP.

Thanks.

C. Taguchi
*
Comment 9 dfilter freebsd_committer 2013-07-11 17:27:00 UTC
Author: sunpoet
Date: Thu Jul 11 16:26:26 2013
New Revision: 322783
URL: http://svnweb.freebsd.org/changeset/ports/322783

Log:
  - Update to 7.31.0
  - Bump PORTREVISION for ftp/curl shlib change
  - Add TEST_DEPENDS
  - Convert to new options framework
  - Adjust options:
    - Add COOKIES
    - Add CYASSL, NSS, POLARSSL, THREADED_RESOLVER, TLS_SRP [1]
    - Add GSSAPI and SPNEGO [2]
    - Remove KERBEROS4
    - Rename LIBIDN to IDN
    - Remove TRACKMEMORY [1]
  - Sort option handler
  - Add SLAVEDIRS: ftp/curl-hiphop
  - Cosmetic change
  - Cleanup Makefile header
  - While I'm here, fix typo (PORTREVSION) in x11-wm/ede/Makefile
  
  Changes:	http://curl.haxx.se/changes.html
  PR:		ports/172325 (-exp run), ports/177369 (based on) [1]
  Submitted by:	Hirohisa Yamaguchi <umq@ueo.co.jp> [1], hrs (via email) [2]
  Exp run by:	miwi

Deleted:
  head/ftp/curl/files/patch-CVE-2013-2174
Modified:
  head/archivers/epkg/Makefile   (contents, props changed)
  head/astro/foxtrotgps/Makefile
  head/astro/viking/Makefile
  head/audio/amarok-kde4/Makefile
  head/audio/ario/Makefile
  head/audio/deadbeef/Makefile
  head/audio/fplib/Makefile
  head/audio/gbemol/Makefile   (contents, props changed)
  head/audio/gogglesmm/Makefile
  head/audio/grip/Makefile   (contents, props changed)
  head/audio/gtkpod/Makefile
  head/audio/herrie/Makefile
  head/audio/icecast2/Makefile   (contents, props changed)
  head/audio/libofa/Makefile   (contents, props changed)
  head/audio/linnya/Makefile
  head/audio/moc/Makefile   (contents, props changed)
  head/audio/mpdas/Makefile   (contents, props changed)
  head/audio/mpdscribble/Makefile   (contents, props changed)
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/osd-lyrics/Makefile
  head/audio/rosegarden/Makefile
  head/audio/scmpc/Makefile   (contents, props changed)
  head/audio/scrobbler/Makefile
  head/audio/streamtranscoder/Makefile   (contents, props changed)
  head/audio/streamtuner/Makefile   (contents, props changed)
  head/audio/vagalume/Makefile
  head/audio/vorbis-tools/Makefile
  head/audio/xmms2-scrobbler/Makefile   (contents, props changed)
  head/audio/xmms2/Makefile
  head/biology/iolib/Makefile
  head/chinese/fcitx-cloudpinyin/Makefile
  head/comms/xastir/Makefile
  head/converters/bibtexconv/Makefile
  head/databases/couchdb/Makefile
  head/deskutils/cairo-dock/Makefile
  head/deskutils/fbreader/Makefile
  head/deskutils/google-gadgets/Makefile
  head/deskutils/growl-for-linux/Makefile
  head/deskutils/libgcal/Makefile
  head/deskutils/ljit/Makefile
  head/deskutils/logjam/Makefile   (contents, props changed)
  head/deskutils/mdh/Makefile   (contents, props changed)
  head/deskutils/pinot/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/aegis/Makefile
  head/devel/ecore-file/Makefile   (contents, props changed)
  head/devel/hs-darcs/Makefile   (contents, props changed)
  head/devel/libdap/Makefile
  head/devel/libgutenfetch/Makefile   (contents, props changed)
  head/devel/libopkele/Makefile   (contents, props changed)
  head/devel/libvirt/Makefile
  head/devel/libwfut/Makefile
  head/devel/mm-common/Makefile   (contents, props changed)
  head/devel/xmltooling/Makefile
  head/editors/codelite/Makefile
  head/editors/libreoffice/Makefile
  head/editors/morla/Makefile
  head/editors/openoffice-3/Makefile   (contents, props changed)
  head/editors/openoffice-devel/Makefile   (contents, props changed)
  head/editors/textroom/Makefile   (contents, props changed)
  head/emulators/qemu-devel/Makefile
  head/emulators/qemu/Makefile
  head/emulators/virtualbox-ose-legacy/Makefile
  head/emulators/virtualbox-ose/Makefile
  head/finance/libofx/Makefile
  head/ftp/R-cran-RCurl/Makefile
  head/ftp/curl/Makefile
  head/ftp/curl/distinfo   (contents, props changed)
  head/ftp/curl/files/patch-configure   (contents, props changed)
  head/ftp/curl/files/patch-src-tool_operate.c   (contents, props changed)
  head/ftp/curl/pkg-plist
  head/ftp/curlpp/Makefile
  head/ftp/fpc-libcurl/Makefile
  head/ftp/hs-curl/Makefile   (contents, props changed)
  head/ftp/ocaml-ocurl/Makefile   (contents, props changed)
  head/ftp/php5-curl/Makefile   (contents, props changed)
  head/ftp/php52-curl/Makefile   (contents, props changed)
  head/ftp/php53-curl/Makefile   (contents, props changed)
  head/ftp/py-curl/Makefile   (contents, props changed)
  head/ftp/rexx-curl/Makefile
  head/ftp/wmget/Makefile   (contents, props changed)
  head/games/0ad/Makefile
  head/games/alienarena/Makefile   (contents, props changed)
  head/games/bzflag/Makefile
  head/games/crossfire-client/Makefile   (contents, props changed)
  head/games/crossfire-server/Makefile   (contents, props changed)
  head/games/daimonin/Makefile   (contents, props changed)
  head/games/deng/Makefile
  head/games/evq3/Makefile   (contents, props changed)
  head/games/f1spirit-remake/Makefile   (contents, props changed)
  head/games/frobtads/Makefile
  head/games/ioquake3/Makefile
  head/games/kartofel/Makefile
  head/games/klavaro/Makefile
  head/games/kuklomenos/Makefile   (contents, props changed)
  head/games/meandmyshadow/Makefile
  head/games/megaglest/Makefile
  head/games/mudmagic/Makefile
  head/games/nexuiz/Makefile   (contents, props changed)
  head/games/openlierox/Makefile
  head/games/pokerth/Makefile
  head/games/springlobby/Makefile
  head/games/supertux-devel/Makefile
  head/games/supertuxkart/Makefile
  head/games/tmw/Makefile
  head/games/ufoai/Makefile
  head/games/warmux/Makefile
  head/games/warsow/Makefile   (contents, props changed)
  head/games/worldofpadman/Makefile   (contents, props changed)
  head/games/xmoto/Makefile
  head/games/xonotic/Makefile   (contents, props changed)
  head/graphics/darktable/Makefile
  head/graphics/feh/Makefile   (contents, props changed)
  head/graphics/gdal/Makefile
  head/graphics/gimmage/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/gnash/Makefile
  head/graphics/jp2a/Makefile   (contents, props changed)
  head/graphics/mapnik/Makefile
  head/graphics/mapserver/Makefile   (contents, props changed)
  head/graphics/osg-devel/Makefile
  head/graphics/osg/Makefile
  head/graphics/telak/Makefile   (contents, props changed)
  head/irc/iroffer-dinoex/Makefile   (contents, props changed)
  head/irc/unreal/Makefile
  head/irc/weechat-devel/Makefile
  head/irc/weechat/Makefile
  head/lang/fpc/Makefile   (contents, props changed)
  head/lang/fpc/Makefile.units   (contents, props changed)
  head/lang/gambas/Makefile
  head/lang/php52/Makefile
  head/lang/php52/Makefile.ext
  head/lang/php53/Makefile.ext
  head/lang/q/Makefile
  head/mail/libetpan/Makefile
  head/math/octave/Makefile
  head/misc/amanda-server/Makefile   (contents, props changed)
  head/misc/amanda26-server/Makefile   (contents, props changed)
  head/misc/amanda32-server/Makefile   (contents, props changed)
  head/misc/esniper/Makefile
  head/misc/gkrellm-helium/Makefile   (contents, props changed)
  head/misc/sword/Makefile   (contents, props changed)
  head/misc/wmweather+/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/freetuxtv/Makefile
  head/multimedia/gnome-mplayer/Makefile
  head/multimedia/libquvi/Makefile
  head/multimedia/mediainfo/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/qmmp/Makefile
  head/multimedia/quvi/Makefile
  head/multimedia/xbmc-pvr/Makefile
  head/multimedia/xbmc/Makefile
  head/multimedia/xine/Makefile
  head/net-im/centericq/Makefile
  head/net-im/centerim-devel/Makefile
  head/net-im/centerim/Makefile
  head/net-im/cli-msn/Makefile   (contents, props changed)
  head/net-mgmt/collectd/Makefile
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/sblim-wbemcli/Makefile   (contents, props changed)
  head/net-mgmt/zabbix2-server/Makefile
  head/net-p2p/gnunet/Makefile
  head/net-p2p/gtorrentviewer/Makefile   (contents, props changed)
  head/net-p2p/jigdo/Makefile
  head/net-p2p/libbt/Makefile   (contents, props changed)
  head/net-p2p/rtorrent-devel/Makefile
  head/net-p2p/rtorrent/Makefile
  head/net-p2p/transmission-cli/Makefile
  head/net/asterisk/Makefile
  head/net/asterisk10/Makefile
  head/net/asterisk11/Makefile
  head/net/asterisk14/Makefile   (contents, props changed)
  head/net/boinc-client/Makefile
  head/net/clamz/Makefile   (contents, props changed)
  head/net/ecore-con/Makefile
  head/net/freeswitch-core-devel/Makefile
  head/net/freeswitch-core/Makefile
  head/net/libcmis/Makefile   (contents, props changed)
  head/net/liboauth/Makefile   (contents, props changed)
  head/net/linknx/Makefile   (contents, props changed)
  head/net/mediatomb/Makefile
  head/net/nepenthes/Makefile   (contents, props changed)
  head/net/opennx/Makefile
  head/net/wmlj/Makefile   (contents, props changed)
  head/net/xmlrpc-c-devel/Makefile
  head/net/xmlrpc-c/Makefile   (contents, props changed)
  head/polish/sms2/Makefile   (contents, props changed)
  head/ports-mgmt/fbsdmon/Makefile
  head/ports-mgmt/prhistory/Makefile
  head/print/foomatic-db/Makefile   (contents, props changed)
  head/science/netcdf4/Makefile   (contents, props changed)
  head/security/authforce/Makefile
  head/security/binwalk/Makefile
  head/security/duo/Makefile
  head/security/gnupg/Makefile
  head/security/gnupg1/Makefile
  head/security/opensaml2/Makefile
  head/security/osslsigncode/Makefile   (contents, props changed)
  head/security/p5-Net-SAML/Makefile   (contents, props changed)
  head/security/razorback-api/Makefile   (contents, props changed)
  head/security/squidclamav/Makefile   (contents, props changed)
  head/security/strongswan/Makefile   (contents, props changed)
  head/security/ykclient/Makefile
  head/security/zxid/Makefile   (contents, props changed)
  head/sysutils/afflib/Makefile
  head/sysutils/apt/Makefile
  head/sysutils/ckl/Makefile   (contents, props changed)
  head/sysutils/condor/Makefile
  head/sysutils/conky/Makefile
  head/sysutils/fusefs-curlftpfs/Makefile
  head/sysutils/fusefs-s3fs/Makefile
  head/sysutils/heartbeat/Makefile
  head/sysutils/pacman/Makefile
  head/sysutils/powerman/Makefile   (contents, props changed)
  head/textproc/libkolabxml/Makefile
  head/textproc/liblrdf/Makefile
  head/textproc/libmrss/Makefile   (contents, props changed)
  head/textproc/libnxml/Makefile   (contents, props changed)
  head/textproc/raptor/Makefile   (contents, props changed)
  head/textproc/raptor2/Makefile
  head/textproc/rss2html/Makefile   (contents, props changed)
  head/textproc/zorba/Makefile
  head/www/cas/Makefile
  head/www/castget/Makefile   (contents, props changed)
  head/www/cplanet/Makefile   (contents, props changed)
  head/www/flickcurl/Makefile
  head/www/gecko-mediaplayer/Makefile
  head/www/mod_auth_cas/Makefile
  head/www/mod_auth_mellon/Makefile   (contents, props changed)
  head/www/mod_flickr/Makefile   (contents, props changed)
  head/www/mod_security/Makefile
  head/www/netsurf/Makefile
  head/www/newsbeuter/Makefile
  head/www/nspluginwrapper/Makefile
  head/www/openvrml/Makefile
  head/www/p5-WWW-Curl/Makefile   (contents, props changed)
  head/www/pecl-http/Makefile
  head/www/pecl-solr/Makefile
  head/www/rubygem-passenger/Makefile
  head/www/rubygem-typhoeus/Makefile   (contents, props changed)
  head/www/thundercache/Makefile   (contents, props changed)
  head/www/thundersnarf/Makefile   (contents, props changed)
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/wsdlpull/Makefile   (contents, props changed)
  head/www/xshttpd-devel/Makefile   (contents, props changed)
  head/www/xshttpd/Makefile   (contents, props changed)
  head/x11-wm/ede/Makefile

Modified: head/archivers/epkg/Makefile
==============================================================================
--- head/archivers/epkg/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/archivers/epkg/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	epkg
 PORTVERSION=	2.3.9
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	archivers
 MASTER_SITES=	ftp://ftp.feep.net/pub/encap/epkg/
 
@@ -15,7 +15,7 @@ MAINTAINER=	pirzyk@FreeBSD.org
 COMMENT=	Encap Package Manager
 
 BUILD_DEPENDS=	${LOCALBASE}/lib/libfget.a:${PORTSDIR}/ftp/fget
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		expat.6:${PORTSDIR}/textproc/expat2
 
 HAS_CONFIGURE=	YES

Modified: head/astro/foxtrotgps/Makefile
==============================================================================
--- head/astro/foxtrotgps/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/astro/foxtrotgps/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	foxtrotgps
 PORTVERSION=	1.1.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	astro geography
 MASTER_SITES=	http://www.foxtrotgps.org/releases/
 

Modified: head/astro/viking/Makefile
==============================================================================
--- head/astro/viking/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/astro/viking/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	viking
 PORTVERSION=	1.4.1
+PORTREVISION=	1
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}/
 

Modified: head/audio/amarok-kde4/Makefile
==============================================================================
--- head/audio/amarok-kde4/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/amarok-kde4/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	amarok
 PORTVERSION=	2.7.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTNAME}/${PORTVERSION}/src

Modified: head/audio/ario/Makefile
==============================================================================
--- head/audio/ario/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/ario/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ario
 PORTVERSION=	1.5.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio
 MASTER_SITES=	SF/ario-player/ario-player/${PORTVERSION}
 

Modified: head/audio/deadbeef/Makefile
==============================================================================
--- head/audio/deadbeef/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/deadbeef/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	deadbeef
 PORTVERSION=	0.5.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}
 

Modified: head/audio/fplib/Makefile
==============================================================================
--- head/audio/fplib/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/fplib/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	fplib
 PORTVERSION=	20120911
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	LOCAL/sunpoet
 

Modified: head/audio/gbemol/Makefile
==============================================================================
--- head/audio/gbemol/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/gbemol/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	gbemol
 PORTVERSION=	0.3.2
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
@@ -15,7 +15,7 @@ MAINTAINER=	tmh.public@gmail.com
 COMMENT=	Graphical frontend for the Music Player Daemon
 
 LIB_DEPENDS=	mpd.4:${PORTSDIR}/audio/libmpd \
-		curl.6:${PORTSDIR}/ftp/curl \
+		curl:${PORTSDIR}/ftp/curl \
 		xml2.5:${PORTSDIR}/textproc/libxml2
 
 GNU_CONFIGURE=	yes

Modified: head/audio/gogglesmm/Makefile
==============================================================================
--- head/audio/gogglesmm/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/gogglesmm/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gogglesmm
 PORTVERSION=	0.12.7
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE
 

Modified: head/audio/grip/Makefile
==============================================================================
--- head/audio/grip/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/grip/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -4,7 +4,7 @@
 
 PORTNAME=	grip
 PORTVERSION=	3.3.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	audio
 MASTER_SITES=	SF
 

Modified: head/audio/gtkpod/Makefile
==============================================================================
--- head/audio/gtkpod/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/gtkpod/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gtkpod
 PORTVERSION=	1.0.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 

Modified: head/audio/herrie/Makefile
==============================================================================
--- head/audio/herrie/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/herrie/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	herrie
 PORTVERSION=	2.2
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	audio
 MASTER_SITES=	http://herrie.info/distfiles/ \
 		http://www.stack.nl/~ed/projects/herrie/distfiles/

Modified: head/audio/icecast2/Makefile
==============================================================================
--- head/audio/icecast2/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/icecast2/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	icecast2
 PORTVERSION=	2.3.2
-PORTREVISION=	9
+PORTREVISION=	10
 PORTEPOCH=	1
 CATEGORIES=	audio net ipv6
 MASTER_SITES=	http://downloads.xiph.org/releases/icecast/ \

Modified: head/audio/libofa/Makefile
==============================================================================
--- head/audio/libofa/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/libofa/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	libofa
 PORTVERSION=	0.9.3
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	audio
 MASTER_SITES=	GOOGLE_CODE
 

Modified: head/audio/linnya/Makefile
==============================================================================
--- head/audio/linnya/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/linnya/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -2,6 +2,7 @@
 
 PORTNAME=	linnya
 PORTVERSION=	2.3.0
+PORTREVISION=	1
 CATEGORIES=	audio
 
 MAINTAINER=	ghw@7axu.com

Modified: head/audio/moc/Makefile
==============================================================================
--- head/audio/moc/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/moc/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	moc
 PORTVERSION=	2.4.4
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	audio
 MASTER_SITES=	ftp://ftp.daper.net/pub/soft/moc/stable/
 
@@ -105,7 +105,7 @@ CONFIGURE_ARGS+=	--without-samplerate
 .endif
 
 .if ${PORT_OPTIONS:MCURL}
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 .else
 CONFIGURE_ARGS+=	--without-curl
 .endif

Modified: head/audio/mpdas/Makefile
==============================================================================
--- head/audio/mpdas/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/mpdas/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,14 +3,14 @@
 
 PORTNAME=	mpdas
 PORTVERSION=	0.3.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	audio
 MASTER_SITES=	http://50hz.ws/mpdas/
 
 MAINTAINER=	hrkfdn@gmail.com
 COMMENT=	MPD AudioScrobbler written in C++ supporting the latest protocol
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		mpd.4:${PORTSDIR}/audio/libmpd
 
 USE_GNOME=	pkgconfig

Modified: head/audio/mpdscribble/Makefile
==============================================================================
--- head/audio/mpdscribble/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/mpdscribble/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	mpdscribble
 PORTVERSION=	0.22
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/musicpd/${PORTNAME}/${PORTVERSION}
 
@@ -29,7 +30,7 @@ SOUP_DESC=	Use libsoup instead of libcur
 LIB_DEPENDS+=	soup-2.4.1:${PORTSDIR}/devel/libsoup
 CONFIGURE_ARGS+=	--with-http-client=soup
 .else
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-http-client=curl
 .endif
 

Modified: head/audio/musicpd/Makefile
==============================================================================
--- head/audio/musicpd/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/musicpd/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -2,7 +2,7 @@
 
 PORTNAME=	musicpd
 PORTVERSION=	0.17.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio ipv6
 MASTER_SITES=	SF/${PORTNAME}/mpd/${PORTVERSION}
 DISTNAME=	mpd-${PORTVERSION}
@@ -11,7 +11,7 @@ MAINTAINER=	crees@FreeBSD.org
 COMMENT=	A remote-controllable music daemon
 
 LIB_DEPENDS+=	mad.2:${PORTSDIR}/audio/libmad \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 
 LICENSE=	GPLv2
 

Modified: head/audio/ncmpcpp/Makefile
==============================================================================
--- head/audio/ncmpcpp/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/ncmpcpp/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ncmpcpp
 PORTVERSION=	0.5.10
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://unkart.ovh.org/ncmpcpp/ \
 		http://mirror.mcx2.org/
@@ -44,7 +45,7 @@ PLIST_FILES=	bin/ncmpcpp \
 PLIST_DIRS=	%%DOCSDIR%%
 
 .if ${PORT_OPTIONS:MCURL}
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 CONFIGURE_ARGS+=	--with-curl
 .else
 CONFIGURE_ARGS+=	--with-curl=no

Modified: head/audio/osd-lyrics/Makefile
==============================================================================
--- head/audio/osd-lyrics/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/osd-lyrics/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	osdlyrics
 PORTVERSION=	0.4.3
+PORTREVISION=	1
 CATEGORIES=	audio deskutils
 MASTER_SITES=	GOOGLE_CODE
 PROJECTHOST=	osd-lyrics

Modified: head/audio/rosegarden/Makefile
==============================================================================
--- head/audio/rosegarden/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/rosegarden/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	rosegarden
 PORTVERSION=	13.04
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}/
 

Modified: head/audio/scmpc/Makefile
==============================================================================
--- head/audio/scmpc/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/scmpc/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	scmpc
 PORTVERSION=	0.3.1
+PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://cloud.github.com/downloads/cmende/${PORTNAME}/
 
@@ -12,7 +13,7 @@ COMMENT=	An Audioscrobbler client for MP
 LICENSE=	GPLv2
 
 LIB_DEPENDS=	confuse.0:${PORTSDIR}/devel/libconfuse \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 
 USES=		pkgconfig
 USE_BZIP2=	yes

Modified: head/audio/scrobbler/Makefile
==============================================================================
--- head/audio/scrobbler/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/scrobbler/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -6,7 +6,7 @@
 
 PORTNAME?=	scrobbler
 PORTVERSION=	0.3.8.1
-PORTREVISION=	14
+PORTREVISION=	15
 CATEGORIES=	audio
 MASTER_SITES=	http://static.audioscrobbler.com/plugins/ \
 		http://www.pipian.com/stuffforchat/
@@ -15,7 +15,7 @@ DISTNAME=	xmms-scrobbler-${PORTVERSION}
 MAINTAINER?=	novel@FreeBSD.org
 COMMENT?=	XMMS/BMP plugin for Audioscrobbler.com
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
 CONFLICTS=	bmp-scrobbler-[0-9]* \
 		xmms-scrobbler-[0-9]*

Modified: head/audio/streamtranscoder/Makefile
==============================================================================
--- head/audio/streamtranscoder/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/streamtranscoder/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	streamtranscoder
 PORTVERSION=	1.2.8
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	audio
 MASTER_SITES=	http://www.oddsock.org/tools/streamTranscoder/
 

Modified: head/audio/streamtuner/Makefile
==============================================================================
--- head/audio/streamtuner/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/streamtuner/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	streamtuner
 PORTVERSION=	0.99.99
-PORTREVISION=	19
+PORTREVISION=	20
 CATEGORIES=	audio www
 MASTER_SITES=	SAVANNAH
 MASTER_SITE_SUBDIR=	${PORTNAME}

Modified: head/audio/vagalume/Makefile
==============================================================================
--- head/audio/vagalume/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/vagalume/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	vagalume
 PORTVERSION=	0.8.5
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://vagalume.igalia.com/files/source/ \
 		${MASTER_SITE_DEBIAN_POOL}
@@ -13,7 +13,7 @@ MAINTAINER=	decke@FreeBSD.org
 COMMENT=	A GTK+-based client for the Last.fm online radio
 
 LIB_DEPENDS=	xml2:${PORTSDIR}/textproc/libxml2 \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 
 GNU_CONFIGURE=	yes
 USES=		pkgconfig

Modified: head/audio/vorbis-tools/Makefile
==============================================================================
--- head/audio/vorbis-tools/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/vorbis-tools/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	vorbis-tools
 PORTVERSION=	1.4.0
-PORTREVISION=	5
+PORTREVISION=	6
 PORTEPOCH=	3
 CATEGORIES=	audio
 MASTER_SITES=	http://downloads.xiph.org/releases/vorbis/
@@ -12,7 +12,7 @@ MAINTAINER=	naddy@FreeBSD.org
 COMMENT=	Play, encode, and manage Ogg Vorbis files
 
 LIB_DEPENDS=	ao.4:${PORTSDIR}/audio/libao \
-		curl.6:${PORTSDIR}/ftp/curl \
+		curl:${PORTSDIR}/ftp/curl \
 		FLAC:${PORTSDIR}/audio/flac \
 		kate.4:${PORTSDIR}/multimedia/libkate \
 		speex.1:${PORTSDIR}/audio/speex \

Modified: head/audio/xmms2-scrobbler/Makefile
==============================================================================
--- head/audio/xmms2-scrobbler/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/xmms2-scrobbler/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmms2-scrobbler
 PORTVERSION=	0.4.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	audio
 MASTER_SITES=	ftp://ftp.code-monkey.de/pub/${PORTNAME}/
 
@@ -13,7 +13,7 @@ COMMENT=	Last.fm submission client for X
 LICENSE=	MIT
 
 LIB_DEPENDS=	xmmsclient.6:${PORTSDIR}/audio/xmms2 \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 
 USES=		pkgconfig
 USE_GMAKE=	yes

Modified: head/audio/xmms2/Makefile
==============================================================================
--- head/audio/xmms2/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/audio/xmms2/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME?=	xmms2
 PORTVERSION=	0.8
-PORTREVISION?=	3
+PORTREVISION?=	4
 DISTVERSIONSUFFIX=DrO_o
 CATEGORIES?=	audio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}%20${DISTVERSIONSUFFIX}

Modified: head/biology/iolib/Makefile
==============================================================================
--- head/biology/iolib/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/biology/iolib/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	io_lib
 PORTVERSION=	1.13.0
+PORTREVISION=	1
 CATEGORIES=	biology
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	staden/${PORTNAME}/${PORTVERSION}

Modified: head/chinese/fcitx-cloudpinyin/Makefile
==============================================================================
--- head/chinese/fcitx-cloudpinyin/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/chinese/fcitx-cloudpinyin/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,6 +7,7 @@
 
 PORTNAME=	fcitx-cloudpinyin
 PORTVERSION=	0.3.0
+PORTREVISION=	1
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx

Modified: head/comms/xastir/Makefile
==============================================================================
--- head/comms/xastir/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/comms/xastir/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xastir
 PORTVERSION=	2.0.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	comms hamradio
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-stable/${PORTNAME}-${PORTVERSION}
 

Modified: head/converters/bibtexconv/Makefile
==============================================================================
--- head/converters/bibtexconv/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/converters/bibtexconv/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	bibtexconv
 PORTVERSION=	0.9.3
+PORTREVISION=	1
 CATEGORIES=	converters
 MASTER_SITES=	http://www.iem.uni-due.de/~dreibh/bibtexconv/download/ \
 		http://www.exp-math.uni-essen.de/~dreibh/bibtexconv/download/

Modified: head/databases/couchdb/Makefile
==============================================================================
--- head/databases/couchdb/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/databases/couchdb/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	couchdb
 PORTVERSION=	1.2.2
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	databases
 MASTER_SITES=	${MASTER_SITE_APACHE}

Modified: head/deskutils/cairo-dock/Makefile
==============================================================================
--- head/deskutils/cairo-dock/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/cairo-dock/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -2,7 +2,7 @@
 
 PORTNAME=	cairo-dock
 DISTVERSION=	3.2.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	deskutils
 MASTER_SITES=	https://launchpadlibrarian.net/137290048/ \
 		http://pazzle.otdux.com.ua/

Modified: head/deskutils/fbreader/Makefile
==============================================================================
--- head/deskutils/fbreader/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/fbreader/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	fbreader
 PORTVERSION=	0.12.10
-PORTREVISION=	2
+PORTREVISION=	3
 DISTVERSIONPREFIX=	sources-
 CATEGORIES=	deskutils
 MASTER_SITES=	http://www.fbreader.org/files/sources/ \
@@ -17,7 +17,7 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	fluffy@FreeBSD.org
 COMMENT=	Powerful e-book reader
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		expat.6:${PORTSDIR}/textproc/expat2 \
 		fribidi.3:${PORTSDIR}/converters/fribidi \
 		linebreak.2:${PORTSDIR}/textproc/liblinebreak

Modified: head/deskutils/google-gadgets/Makefile
==============================================================================
--- head/deskutils/google-gadgets/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/google-gadgets/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	google-gadgets
 PORTVERSION=	0.11.2
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	deskutils
 MASTER_SITES=	http://google-gadgets-for-linux.googlecode.com/files/
 DISTNAME=	${PORTNAME}-for-linux-${PORTVERSION}
@@ -21,7 +21,7 @@ BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgc
 LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo \
 		xml2.5:${PORTSDIR}/textproc/libxml2 \
 		dbus-1.3:${PORTSDIR}/devel/dbus \
-		curl.6:${PORTSDIR}/ftp/curl \
+		curl:${PORTSDIR}/ftp/curl \
 		rsvg-2.2:${PORTSDIR}/graphics/librsvg2 \
 		startup-notification-1.0:${PORTSDIR}/x11/startup-notification
 RUN_DEPENDS=	${LOCALBASE}/bin/update-mime-database:${PORTSDIR}/misc/shared-mime-info

Modified: head/deskutils/growl-for-linux/Makefile
==============================================================================
--- head/deskutils/growl-for-linux/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/growl-for-linux/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -2,7 +2,7 @@
 
 PORTNAME=	growl-for-linux
 PORTVERSION=	0.6.8
-#PORTREVISION=	0
+PORTREVISION=	1
 CATEGORIES=	deskutils
 
 MAINTAINER=	nivit@FreeBSD.org

Modified: head/deskutils/libgcal/Makefile
==============================================================================
--- head/deskutils/libgcal/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/libgcal/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libgcal
 PORTVERSION=	0.9.6
+PORTREVISION=	1
 CATEGORIES=	deskutils
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 

Modified: head/deskutils/ljit/Makefile
==============================================================================
--- head/deskutils/ljit/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/ljit/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	ljit
 PORTVERSION=	0.2.5
-PORTREVISION=	14
+PORTREVISION=	15
 CATEGORIES=	deskutils
 MASTER_SITES=	http://kir.vtx.ru/ljit/dl/ \
 		http://freebsd.nsu.ru/distfiles/
@@ -17,7 +17,7 @@ COMMENT=	GUI tool to help LiveJournal us
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS=	convert:${PORTSDIR}/graphics/ImageMagick
 
 GNU_CONFIGURE=	yes

Modified: head/deskutils/logjam/Makefile
==============================================================================
--- head/deskutils/logjam/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/logjam/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,14 +7,14 @@
 
 PORTNAME=	logjam
 PORTVERSION=	4.6.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	deskutils
 MASTER_SITES=	http://andy-shev.github.com/LogJam/download/
 
 MAINTAINER=	novel@FreeBSD.org
 COMMENT=	A GTK2 interface to livejournals, ie www.livejournal.com
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 	        dbus-glib-1.2:${PORTSDIR}/devel/dbus-glib
 
 MAN1=		logjam.1

Modified: head/deskutils/mdh/Makefile
==============================================================================
--- head/deskutils/mdh/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/mdh/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	mdh
 PORTVERSION=	1.9.60
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	deskutils gnome
 MASTER_SITES=	http://www.gozer.org/programs/gtk/files/
 
@@ -31,7 +31,7 @@ LIB_DEPENDS+=	gtop-2.0:${PORTSDIR}/devel
 .if defined(WITHOUT_CURL)
 CONFIGURE_ARGS+=	--disable-curl
 .else
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	curl:${PORTSDIR}/ftp/curl
 .endif
 
 post-patch:

Modified: head/deskutils/pinot/Makefile
==============================================================================
--- head/deskutils/pinot/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/pinot/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	pinot
 PORTVERSION=	1.06
+PORTREVISION=	1
 CATEGORIES=	deskutils
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 #MASTER_SITES=	http://colinf.chez.com/pinot/
@@ -25,7 +26,7 @@ LIB_DEPENDS=	xapian:${PORTSDIR}/database
 		exiv2.12:${PORTSDIR}/graphics/exiv2		\
 		gmime-2.4:${PORTSDIR}/mail/gmime24		\
 		tag.1:${PORTSDIR}/audio/taglib			\
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS=	update-mime-database:${PORTSDIR}/misc/shared-mime-info	\
 		antiword:${PORTSDIR}/textproc/antiword			\
 		xdg-open:${PORTSDIR}/devel/xdg-utils			\

Modified: head/deskutils/xfce4-tumbler/Makefile
==============================================================================
--- head/deskutils/xfce4-tumbler/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/deskutils/xfce4-tumbler/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	tumbler
 PORTVERSION=	0.1.29
+PORTREVISION=	1
 CATEGORIES=	deskutils xfce
 MASTER_SITES=	${MASTER_SITE_XFCE}
 MASTER_SITE_SUBDIR=	src/xfce/${PORTNAME}/${PORTVERSION:R}

Modified: head/devel/aegis/Makefile
==============================================================================
--- head/devel/aegis/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/aegis/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,13 +7,14 @@
 
 PORTNAME=	aegis
 PORTVERSION=	4.24.3
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	SF
 
 MAINTAINER=	aryeh.friedman@gmail.com
 COMMENT=	Transaction-based software configuration management system
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS=	tkdiff:${PORTSDIR}/textproc/tkdiff
 
 USES=		gettext

Modified: head/devel/ecore-file/Makefile
==============================================================================
--- head/devel/ecore-file/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/ecore-file/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	file
 PORTVERSION=	1.7.7
+PORTREVISION=	1
 CATEGORIES=	devel enlightenment
 MASTER_SITES=	http://download.enlightenment.fr/releases/ \
 		LOCAL/gblach/e17/

Modified: head/devel/hs-darcs/Makefile
==============================================================================
--- head/devel/hs-darcs/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/hs-darcs/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	darcs
 PORTVERSION=	2.8.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel haskell
 
 MAINTAINER=	haskell@FreeBSD.org

Modified: head/devel/libdap/Makefile
==============================================================================
--- head/devel/libdap/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/libdap/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libdap
 PORTVERSION=	3.11.7
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.opendap.org/pub/source/ \
 		LOCAL/sunpoet

Modified: head/devel/libgutenfetch/Makefile
==============================================================================
--- head/devel/libgutenfetch/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/libgutenfetch/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libgutenfetch
 PORTVERSION=	1.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	devel
 MASTER_SITES=	SF
 

Modified: head/devel/libopkele/Makefile
==============================================================================
--- head/devel/libopkele/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/libopkele/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -7,7 +7,7 @@
 
 PORTNAME=	libopkele
 PORTVERSION=	2.0.4
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	http://kin.klever.net/dist/
 
@@ -15,7 +15,7 @@ MAINTAINER=	zhoushuqun@gmail.com
 COMMENT=	A c++ implementation of an OpenID decentralized identity system
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		pcre.3:${PORTSDIR}/devel/pcre \
 		expat.6:${PORTSDIR}/textproc/expat2 \
 		tidy:${PORTSDIR}/www/tidy-lib \

Modified: head/devel/libvirt/Makefile
==============================================================================
--- head/devel/libvirt/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/libvirt/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libvirt
 PORTVERSION=	1.1.0
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://libvirt.org/sources/ \
 		ftp://libvirt.org/libvirt/

Modified: head/devel/libwfut/Makefile
==============================================================================
--- head/devel/libwfut/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/libwfut/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libwfut
 PORTVERSION=	0.2.2
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	SF/worldforge/libwfut%20%28updates%20library%29/${PORTVERSION}
 
@@ -10,7 +11,7 @@ MAINTAINER=	oliver@FreeBSD.org
 COMMENT=	WorldForge update library
 
 LIB_DEPENDS=	sigc-2.0:${PORTSDIR}/devel/libsigc++20 \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 
 CONFIGURE_ARGS+=--without-python
 GNU_CONFIGURE=	yes

Modified: head/devel/mm-common/Makefile
==============================================================================
--- head/devel/mm-common/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/mm-common/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -8,14 +8,14 @@
 
 PORTNAME=	mm-common
 PORTVERSION=	0.9.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel gnome
 MASTER_SITES=	GNOME
 
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Common build infrastructure for the GNOME C++ binding libraries
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
 USES=	pathfix
 USE_BZIP2=	yes

Modified: head/devel/xmltooling/Makefile
==============================================================================
--- head/devel/xmltooling/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/devel/xmltooling/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,13 +3,14 @@
 
 PORTNAME=	xmltooling
 PORTVERSION=	1.5.3
+PORTREVISION=	1
 CATEGORIES=	devel security
 MASTER_SITES=	http://shibboleth.net/downloads/c++-opensaml/2.5.3/
 
 MAINTAINER=	girgen@FreeBSD.org
 COMMENT=	Low level XML support for SAML
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		log4shib.1:${PORTSDIR}/devel/log4shib \
 		xerces-c.3:${PORTSDIR}/textproc/xerces-c3 \
 		xml-security-c.17:${PORTSDIR}/security/apache-xml-security-c

Modified: head/editors/codelite/Makefile
==============================================================================
--- head/editors/codelite/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/editors/codelite/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	codelite
 DISTVERSION=	5.1
+PORTREVISION=	1
 CATEGORIES=	editors devel
 MASTER_SITES=	SF/${PORTNAME}/Releases/${PORTNAME}-${PORTVERSION}/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-gtk.src

Modified: head/editors/libreoffice/Makefile
==============================================================================
--- head/editors/libreoffice/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/editors/libreoffice/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -26,7 +26,7 @@ BUILD_DEPENDS=	p5-Archive-Zip>=0:${PORTS
 LIB_DEPENDS=	icutu:${PORTSDIR}/devel/icu \
 		langtag:${PORTSDIR}/devel/liblangtag \
 		orcus-0.6:${PORTSDIR}/devel/liborcus \
-		curl.6:${PORTSDIR}/ftp/curl \
+		curl:${PORTSDIR}/ftp/curl \
 		cairo.2:${PORTSDIR}/graphics/cairo \
 		graphite2:${PORTSDIR}/graphics/graphite2 \
 		jpeg.11:${PORTSDIR}/graphics/jpeg \

Modified: head/editors/morla/Makefile
==============================================================================
--- head/editors/morla/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/editors/morla/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	morla
 PORTVERSION=	0.16.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	editors textproc
 MASTER_SITES=	http://www.morlardf.net/src/ \
 		http://nivi.interfree.it/distfiles/${PORTNAME}/${PORTVERSION}/
@@ -14,7 +14,7 @@ COMMENT=	A RDF editor
 LIB_DEPENDS=	nxml.18:${PORTSDIR}/textproc/libnxml \
 		rdf.0:${PORTSDIR}/textproc/redland \
 		raptor2.0:${PORTSDIR}/textproc/raptor2 \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 BUILD_DEPENDS=	dot:${PORTSDIR}/graphics/graphviz
 RUN_DEPENDS=	dot:${PORTSDIR}/graphics/graphviz
 

Modified: head/editors/openoffice-3/Makefile
==============================================================================
--- head/editors/openoffice-3/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/editors/openoffice-3/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	apache-openoffice
 PORTVERSION=	3.4.1
+PORTREVISION=	1
 CATEGORIES=	editors java
 MASTER_SITES=	ftp://ftp.riken.jp/net/apache/incubator/ooo/3.4.1/source/ \
 		${MASTER_SITE_LOCAL:S@%SUBDIR%@maho/openoffice@}:extsrc
@@ -111,7 +112,7 @@ CONFIGURE_ENV+=	CC="${OOOCC}" CXX="${OOO
 LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo \
 		expat.6:${PORTSDIR}/textproc/expat2 \
 		jpeg.11:${PORTSDIR}/graphics/jpeg \
-		curl.6:${PORTSDIR}/ftp/curl \
+		curl:${PORTSDIR}/ftp/curl \
 		hunspell-1.3.0:${PORTSDIR}/textproc/hunspell \
 		poppler-glib.8:${PORTSDIR}/graphics/poppler-glib \
 		rdf.0:${PORTSDIR}/textproc/redland \

Modified: head/editors/openoffice-devel/Makefile
==============================================================================
--- head/editors/openoffice-devel/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/editors/openoffice-devel/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	apache-openoffice
 PORTVERSION=	4.0.${SVNREVISION}
+PORTREVISION=	1
 PORTEPOCH=	1
 CATEGORIES=	editors java
 MASTER_SITES=	${MASTER_SITE_LOCAL}
@@ -112,7 +113,7 @@ CONFIGURE_ENV+=	CC="${OOOCC}" CXX="${OOO
 LIB_DEPENDS=	cairo.2:${PORTSDIR}/graphics/cairo \
 		expat.6:${PORTSDIR}/textproc/expat2 \
 		jpeg.11:${PORTSDIR}/graphics/jpeg \
-		curl.6:${PORTSDIR}/ftp/curl \
+		curl:${PORTSDIR}/ftp/curl \
 		hunspell-1.3.0:${PORTSDIR}/textproc/hunspell \
 		poppler-glib.8:${PORTSDIR}/graphics/poppler-glib \
 		rdf.0:${PORTSDIR}/textproc/redland \

Modified: head/editors/textroom/Makefile
==============================================================================
--- head/editors/textroom/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/editors/textroom/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	textroom
 PORTVERSION=	0.8.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	editors
 MASTER_SITES=	SF
 
@@ -12,7 +12,7 @@ COMMENT=	Full screen text editor
 
 LIB_DEPENDS=	hunspell-1.3:${PORTSDIR}/textproc/hunspell \
 		xml++-2.6.2:${PORTSDIR}/textproc/libxml++26 \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 
 USES=	shared-mime-info
 USE_SDL=	mixer

Modified: head/emulators/qemu-devel/Makefile
==============================================================================
--- head/emulators/qemu-devel/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/emulators/qemu-devel/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	qemu
 PORTVERSION=	1.5.1
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://wiki.qemu.org/download/:release \
 		LOCAL/nox:snapshot

Modified: head/emulators/qemu/Makefile
==============================================================================
--- head/emulators/qemu/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/emulators/qemu/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	qemu
 PORTVERSION=	0.11.1
-PORTREVISION=	12
+PORTREVISION=	13
 CATEGORIES=	emulators
 MASTER_SITES=	${MASTER_SITE_SAVANNAH} \
 		http://bellard.org/qemu/

Modified: head/emulators/virtualbox-ose-legacy/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-legacy/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/emulators/virtualbox-ose-legacy/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,6 +3,7 @@
 
 PORTNAME=	virtualbox-ose
 DISTVERSION=	4.1.24
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \
@@ -27,7 +28,7 @@ BUILD_DEPENDS=	yasm:${PORTSDIR}/devel/ya
 		cdrecord:${PORTSDIR}/sysutils/cdrtools
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
 		xslt.2:${PORTSDIR}/textproc/libxslt \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS=	/boot/modules/vboxdrv.ko:${PORTSDIR}/emulators/virtualbox-ose-kmod-legacy \
 		cdrecord:${PORTSDIR}/sysutils/cdrtools
 

Modified: head/emulators/virtualbox-ose/Makefile
==============================================================================
--- head/emulators/virtualbox-ose/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/emulators/virtualbox-ose/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -27,7 +27,7 @@ BUILD_DEPENDS=	yasm:${PORTSDIR}/devel/ya
 		cdrecord:${PORTSDIR}/sysutils/cdrtools
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png \
 		xslt.2:${PORTSDIR}/textproc/libxslt \
-		curl.6:${PORTSDIR}/ftp/curl
+		curl:${PORTSDIR}/ftp/curl
 RUN_DEPENDS=	${KMODDIR}/vboxdrv.ko:${PORTSDIR}/emulators/virtualbox-ose-kmod \
 		cdrecord:${PORTSDIR}/sysutils/cdrtools
 

Modified: head/finance/libofx/Makefile
==============================================================================
--- head/finance/libofx/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/finance/libofx/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,13 +3,14 @@
 
 PORTNAME=	libofx
 PORTVERSION=	0.9.5
+PORTREVISION=	1
 CATEGORIES=	finance
 MASTER_SITES=	SF
 
 MAINTAINER=	jhale@FreeBSD.org
 COMMENT=	OpenSource implementation of the OFX (Open Financial eXchange)
 
-LIB_DEPENDS=	curl.6:${PORTSDIR}/ftp/curl \
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
 		xml\\+\\+-2.6.2:${PORTSDIR}/textproc/libxml++26 \
 		osp.5:${PORTSDIR}/textproc/opensp
 

Modified: head/ftp/R-cran-RCurl/Makefile
==============================================================================
--- head/ftp/R-cran-RCurl/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/ftp/R-cran-RCurl/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -3,7 +3,7 @@
 
 PORTNAME=	RCurl
 DISTVERSION=	1.95-4.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	ftp
 DISTNAME=	${PORTNAME}_${DISTVERSION}
 

Modified: head/ftp/curl/Makefile
==============================================================================
--- head/ftp/curl/Makefile	Thu Jul 11 16:03:47 2013	(r322782)
+++ head/ftp/curl/Makefile	Thu Jul 11 16:26:26 2013	(r322783)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	curl
-PORTVERSION=	7.24.0
-PORTREVISION=	4
+PORTVERSION=	7.31.0
 CATEGORIES=	ftp ipv6 www
 MASTER_SITES=	http://curl.haxx.se/download/ \
 		LOCAL/sunpoet
@@ -14,27 +13,29 @@ COMMENT?=	Non-interactive tool to get fi
 
 LICENSE=	MIT
 
-OPTIONS_DEFINE=	CARES CURL_DEBUG IPV6 KERBEROS4 LDAP LDAPS LIBIDN LIBSSH2 \
-		NTLM CA_BUNDLE PROXY RTMP TRACKMEMORY DOCS EXAMPLES
-OPTIONS_RADIO=	SSL
-OPTIONS_RADIO_SSL=	OPENSSL GNUTLS
-OPTIONS_DEFAULT=	CA_BUNDLE PROXY OPENSSL
-CURL_DEBUG_DESC=	curl diagnostic output
-LIBIDN_DESC=		Internationalized Domain Names via libidn
-LIBSSH2_DESC=		SCP/SFTP support via libssh2
-NTLM_DESC=		NTLM authentication
-CA_BUNDLE_DESC=		Install CA bundle for OpenSSL
-TRACKMEMORY_DESC=	curl memory diagnostic output
+OPTIONS_DEFINE=	CA_BUNDLE COOKIES CURL_DEBUG DEBUG DOCS EXAMPLES GSSAPI IDN IPV6 LDAP LDAPS LIBSSH2 NTLM PROXY RTMP SPNEGO TLS_SRP
+OPTIONS_RADIO=	RESOLV SSL
+OPTIONS_RADIO_RESOLV=	CARES THREADED_RESOLVER
+OPTIONS_RADIO_SSL=	CYASSL GNUTLS NSS OPENSSL POLARSSL
+OPTIONS_DEFAULT=CA_BUNDLE GSSAPI IPV6 OPENSSL PROXY RESOLV THREADED_RESOLVER SSL TLS_SRP
+CA_BUNDLE_DESC=	Install CA bundle for OpenSSL
+COOKIES_DESC=	Cookies support
+CURL_DEBUG_DESC=cURL debug memory tracking

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-07-11 17:38:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 11 geoffroy desvernay 2013-07-13 17:22:38 UTC
It seems this part of the first patch did not made in  and I just had
the same problem resolved by
`sed -e 's/CFLAGS/CPPFLAGS/' Mk/bsd.ldap.mk` for the moment.

(ports tree just svn-updated)

Index: Mk/bsd.ldap.mk
===================================================================
--- Mk/bsd.ldap.mk  (revision 315212)
+++ Mk/bsd.ldap.mk    (working copy)
@@ -64,7 +64,7 @@
 .endif
 .endif

-CFLAGS+=    -DLDAP_DEPRECATED
+CPPFLAGS+=   -DLDAP_DEPRECATED

 _OPENLDAP_CLIENT_PKG!=     ${PKG_INFO} -Ex openldap.\*-client
2>/dev/null || ${TRUE}
 _OPENLDAP_FLAVOUR=
${_OPENLDAP_CLIENT_PKG:C/openldap//:C/-client-.*//}
-- 
geoffroy desvernay
C.R.I - Administration systèmes et réseaux
Ecole Centrale de Marseille

Comment 12 geoffroy desvernay 2013-07-13 17:52:41 UTC
Please disregard my last message, I've got to update my svnmirror

Sorry for the noise
-- 
geoffroy desvernay
C.R.I - Administration systèmes et réseaux
Ecole Centrale de Marseille